#include <stdio.h>
#include <sys/ioctl.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <net/if.h>
#include <netinet/in.h>
#include "defs.h"

#define NETNUM 0x8020b900

boolean webcheck()
{
    int i, s;
    struct ifconf ifc;
    struct ifreq ifr[8];
    unsigned long address;

    s = socket(AF_INET, SOCK_STREAM, 0);

    ifc.ifc_req = ifr;
    ifc.ifc_len = sizeof(ifr);

    ioctl(s, SIOCGIFCONF, &ifc);
    for (i=0; i<ifc.ifc_len/sizeof(struct ifreq); i++) {
	ioctl(s, SIOCGIFADDR, &ifc.ifc_req[i]);
	address =  ((struct sockaddr_in *) 
		&ifc.ifc_req[i].ifr_addr)->sin_addr.s_addr;
	if ((address & htonl(0xffffff00)) == htonl(NETNUM))
	   return(TRUE); 
    }
    return(FALSE);
}

