static char rcsid[] = "$Header: /usr/users/terence/src/xtrek/netrek/RCS/data.c,v 1.3 92/03/19 21:29:19 terence Exp $";

/* $Log:	data.c,v $
 * Revision 1.3  92/03/19  21:29:19  terence
 * added UDP mods (version 0.2, 3/17/92)
 * 
 * Revision 1.2  92/03/11  23:06:15  terence
 * added UDP mods
 * 
 * Revision 1.1  92/03/11  23:03:24  terence
 * Initial revision
 *  */

/*
 * data.c
 */
#include "copyright.h"

#include <stdio.h>
#include "Wlib.h"
#include "defs.h"
#include "struct.h"
#include "data.h"

struct player *players;
struct player *me=NULL;
struct torp *torps;
struct plasmatorp *plasmatorps;
struct status *status;
struct ship *myship;
struct stats *mystats;
struct planet *planets;
struct phaser *phasers;
struct message *messages;
struct mctl *mctl;
struct memory universe;

int	oldalert = PFGREEN;	/* Avoid changing more than we have to */
int 	remap[16] = { 0, 1, 2, 0, 3, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0 };
int	messpend;
int	lastcount;
int	mdisplayed;
int	redrawall;
int	nopilot = 1;
int	selfdest;
int	udcounter;
int	lastm;
int	delay;			/* delay for decaring war */
int	rdelay;			/* delay for refitting */
int	mapmode = 1; 
int	namemode = 1; 
int	showStats;
int	showShields;
int	warncount = 0;
int	warntimer = -1;
int	infomapped = 0;
int	mustexit = 0;
int	messtime = 5;
int	keeppeace = 0;
int	showlocal = 2;
int 	showgalactic = 2;
char 	*shipnos="0123456789abcdefghijklmnopqrstuvwxyz";
int 	sock= -1;
int	xtrekPort=2592;
int	queuePos= -1;
int	pickOk= -1;
int	lastRank= -1;
int	promoted= 0;
int	loginAccept= -1;
unsigned localflags=0;
int	tournMask=15;
int 	nextSocket;	/* socket to use when we get ghostbusted... */
int	updatePlayer[MAXPLAYER];	/* Needs updating on player list */
char   *serverName="bronco.ece.cmu.edu";
int	loggedIn=0;
int 	reinitPlanets=0;
int	redrawPlayer[MAXPLAYER];	/* Needs redrawing on galactic map */
int	lastUpdate[MAXPLAYER]={0};	/* Last update of this player */
int     timerDelay=200000;		/* micro secs between updates */
int	reportKills=1;			/* report kill messages? */
int     forceMono=0;		        /* force monochrome? 11/14/91 TC */

int	commMode=0;			/* UDP: 0=TCP only, 1=UDP updates */
int	commModeReq=0;			/* UDP: req for comm protocol change */
int	commStatus=0;			/* UDP: used when switching protocols */
int	commSwitchTimeout=0;		/* UDP: don't wait forever */
int	udpTotal=1;			/* UDP: total #of packets received */
int	udpDropped=0;			/* UDP: count of packets dropped */
int	udpRecentDropped=0;		/* UDP: #of packets dropped recently */
int	udpSock=(-1);			/* UDP: the socket */
int	udpDebug=0;			/* UDP: debugging info on/off */
int	udpClientSend=1;		/* UDP: send our packets using UDP? */
int	udpClientRecv=1;		/* UDP: receive with simple UDP */
int	udpSequenceChk=1;		/* UDP: check sequence numbers */
#ifdef GATEWAY
int gw_serv_port,gw_port,gw_local_port;       /* UDP */
char *gw_mach;                                /* UDP */
#endif

W_Icon stipple, clockpic, icon;

W_Color	borderColor, backColor, textColor, myColor, warningColor, shipCol[5],
	rColor, yColor, gColor, unColor, foreColor;

W_Icon expview[EX_FRAMES];
W_Icon sbexpview[SBEXPVIEWS];
W_Icon cloud[NUMDETFRAMES];
W_Icon plasmacloud[NUMDETFRAMES];
W_Icon etorp, mtorp;
W_Icon eplasmatorp, mplasmatorp;
W_Icon shield, cloakicon;
W_Icon ind_bitmaps[NUM_TYPES][VIEWS]; /* 9/19/91 TC */
W_Icon fed_bitmaps[NUM_TYPES][VIEWS],
       kli_bitmaps[NUM_TYPES][VIEWS],
       rom_bitmaps[NUM_TYPES][VIEWS],
       ori_bitmaps[NUM_TYPES][VIEWS];
W_Icon bplanets[6];
W_Icon mbplanets[6];
W_Icon bplanets2[8];
W_Icon mbplanets2[8];

char teamlet[] = {'I', 'F', 'R', 'X', 'K', 'X', 'X', 'X', 'O'};
char *teamshort[9] = {"IND", "FED", "ROM", "X", "KLI", "X", "X", "X", "ORI"};
char pseudo[PSEUDOSIZE];
char login[PSEUDOSIZE];

struct rank ranks[NUMRANKS] = {
    { 0.0, 0.0, 0.0, "Ensign"},
    { 2.0, 1.0, 0.0, "Lieutenant"},
    { 4.0, 2.0, 0.8, "Lt. Cmdr."}, 
    { 8.0, 3.0, 0.8, "Commander"},
    {15.0, 4.0, 0.8, "Captain"},
    {20.0, 5.0, 0.8, "Flt. Capt."},
    {25.0, 6.0, 0.8, "Commodore"},
    {30.0, 7.0, 0.8, "Rear Adm."},
    {40.0, 8.0, 0.8, "Admiral"}};

W_Window messagew, w, mapw, statwin, baseWin, infow, iconWin, tstatw,
	war, warnw, helpWin, teamWin[4], qwin, messwa, messwt, messwi, messwk,
	planetw, playerw, rankw, optionWin = 0, reviewWin;
W_Window udpWin;
W_Window udpWin;
