static char rcsid[] = "$Header: /usr/users/terence/src/xtrek/ntserv/RCS/data.c,v 1.3 92/03/19 21:34:53 terence Exp $";

/* $Log:	data.c,v $
 * Revision 1.3  92/03/19  21:34:53  terence
 * Added UDP mods (version 0.2, 3/17/92)
 * 
 * Revision 1.2  92/03/11  15:38:12  terence
 * added UDP mods
 *  */

/*
 * data.c
 */
#include "copyright.h"

#include "defs.h"
#include "struct.h"
#include "data.h"

struct player *players;
struct player *me;
struct torp *torps;
struct plasmatorp *plasmatorps;
struct status *status;
struct ship *myship;
struct stats *mystats;
struct planet *planets;
struct phaser *phasers;
struct message *messages;
struct mctl *mctl;
struct team *teams;

int	oldalert = PFGREEN;	/* Avoid changing more than we have to */
int 	remap[9] = { 0, 1, 2, -1, 3, -1, -1, -1, 4 };
int	messpend;
int	lastcount;
int	mdisplayed;
int	redrawall;
int	selfdest;
int	udcounter;
int	lastm;
int	delay;			/* delay for decaring war */
int	rdelay;			/* delay for refitting */
int	mapmode = 1; 
int	namemode = 1; 
int	showStats;
int	showShields;
int	warncount = 0;
int	warntimer = -1;
int	infomapped = 0;
int	mustexit = 0;
int	messtime = MESSTIME;
int	keeppeace = 0;
int	showlocal = 2;
int 	showgalactic = 2;
char 	*shipnos="0123456789abcdefghijklmnopqrstuvwxyz";
int 	sock= -1;
int 	xtrekPort=27320;
int	shipPick;
int	teamPick;
int	repCount=0;
char 	namePick[16];
char 	passPick[16];
int	inputMask = -1;
int 	nextSocket;
char	*host;
int 	noressurect=0;
int	userVersion=0, userUdpVersion=0;
int	timerDelay=200000;	/* delay between sending stuff to client */
char	testdata[16];
int	testtime= -1;
/*char 	*serverName="bronco.ece.cmu.EDU"; not needed 8/1/92 TC */
int 	tournplayers=5;
int 	shipsallowed[NUM_TYPES];
int 	weaponsallowed[WP_MAX];
int 	plkills=2;
int 	sbrank=3;
int 	startplanets[MAXPLANETS];
int 	binconfirm=1;
int	chaos=0;
int	topgun=0; /* added 12/9/90 TC */
int     newturn=0; /* added 1/20/91 TC */
int	hourratio=1;	/* Fix thing to make guests advance fast */
int	hiddenenemy=1;
float   maxload=0.7;

int   udpSock=(-1);     /* UDP - the almighty socket */
int   commMode=0;     /* UDP - initial mode is TCP only */
int   udpAllowed=1;   /* UDP - sysdefaults */

double	oldmax = 0.0;

double	Sin[], Cos[];		 /* Initialized in sintab.c */

char teamlet[] = {'I', 'F', 'R', 'X', 'K', 'X', 'X', 'X', 'O'};
char *teamshort[9] = {"IND", "FED", "ROM", "X", "KLI", "X", "X", "X", "ORI"};
char pseudo[PSEUDOSIZE];
char login[PSEUDOSIZE];

struct rank ranks[NUMRANKS] = {
    { 0.0, 0.0, 0.0, "Ensign"},
    { 2.0, 1.0, 0.0, "Lieutenant"},

/* change: 12/8/90 TC no defense required    { 4.0, 2.0, 0.8, "Lt. Cmdr."}, 
    { 8.0, 3.0, 0.8, "Commander"},
    {15.0, 4.0, 0.8, "Captain"},
    {20.0, 5.0, 0.8, "Flt. Capt."},
    {25.0, 6.0, 0.8, "Commodore"},
    {30.0, 7.0, 0.8, "Rear Adm."},
    {40.0, 8.0, 0.8, "Admiral"}};*/

    { 4.0, 2.0, 0.0, "Lt. Cmdr."}, 
    { 8.0, 3.0, 0.0, "Commander"},
    {15.0, 4.0, 0.0, "Captain"},
    {20.0, 5.0, 0.0, "Flt. Capt."},
    {25.0, 6.0, 0.0, "Commodore"},
    {30.0, 7.0, 0.0, "Rear Adm."},
    {40.0, 8.0, 0.0, "Admiral"}};

