static char rcsid_datah[] = "$Header: /usr/users/terence/src/xtrek/ntserv/RCS/data.h,v 1.3 92/03/19 21:34:50 terence Exp $";

/* $Log:	data.h,v $
 * Revision 1.3  92/03/19  21:34:50  terence
 * Added UDP mods (version 0.2, 3/17/92)
 * 
 * Revision 1.2  92/03/11  15:40:08  terence
 * added UDP mods
 *  */

/* data.h
 */
#include "copyright.h"

#define EX_FRAMES 		5
#define SBEXPVIEWS 		7
#define ex_width        	64
#define ex_height       	64
#define sbexp_width        	80
#define sbexp_height       	80
#define cloud_width 		7
#define cloud_height 		7
#define plasmacloud_width 	11
#define plasmacloud_height 	11
#define etorp_width 		3
#define etorp_height 		3
#define eplasmatorp_width 	7
#define eplasmatorp_height 	7
#define mplasmatorp_width 	5
#define mplasmatorp_height 	5
#define mtorp_width 		3
#define mtorp_height 		3
#define crossw		 	16
#define crossh		 	16
#define cross_x_hot	 	7
#define cross_y_hot	 	7
#define crossmask_width 	16
#define crossmask_height 	16
#define planet_width 		30
#define planet_height 		30
#define mplanet_width 		16
#define mplanet_height 		16
#define shield_width 		20
#define shield_height 		20
#define icon_width 		112
#define icon_height 		80
#define att_gray_mask_width     28
#define att_gray_mask_height    28
#define gray_mask_width         20
#define gray_mask_height        20

extern struct player *players;
extern struct player *me;
extern struct torp *torps;
extern struct plasmatorp *plasmatorps;
extern struct status *status;
extern struct ship *myship;
extern struct stats *mystats;
extern struct planet *planets;
extern struct phaser *phasers;
extern struct message *messages;
extern struct mctl *mctl;
extern struct team *teams;

extern int oldalert;
extern int remap[];
extern int udcounter;
extern int messpend;
extern int lastcount;
extern int mdisplayed;
extern int redrawall;
extern int selfdest;
extern int lastm;
extern int delay;
extern int rdelay;
extern int mapmode; 
extern int namemode; 
extern int showShields;
extern int showStats;
extern int warncount;
extern int warntimer;
extern int infomapped;
extern int mustexit;
extern int messtime;
extern int keeppeace;
extern int showlocal, showgalactic;
extern char *shipnos;
extern int sock;
extern int xtrekPort;
extern int shipPick;
extern int teamPick;
extern int repCount;
extern char namePick[];
extern char passPick[];
extern int inputMask;
extern int nextSocket;
extern char *host;
extern int noressurect;
extern int userVersion, userUdpVersion;
extern int timerDelay;
extern char testdata[16];
extern int testtime;
/*extern char *serverName; not needed 8/1/92 TC */
extern int tournplayers;
extern int shipsallowed[];
extern int weaponsallowed[];
extern int plkills;
extern int sbrank;
extern int startplanets[];
extern int binconfirm;
extern int chaos;
extern int topgun; /* added 12/9/90 TC */
extern int newturn; /* added 1/20/91 TC */
extern int hourratio;
extern int hiddenenemy;
extern float maxload;

extern int udpSock;		/* UDP */
extern int commMode;		/* UDP */
extern int udpAllowed;		/* UDP */

extern double	oldmax;
extern double	Sin[], Cos[];

#define WP_PLASMA 0
#define WP_TRACTOR 1
#define WP_MAX 2

#define VIEWS 16
#define NUM_TYPES 7
extern char teamlet[];
extern char *teamshort[];
extern char pseudo[PSEUDOSIZE];
extern char login[PSEUDOSIZE];

extern struct rank ranks[NUMRANKS];
